<!DOCTYPE html>

<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <!-- HEAD VUEJS + FUNCIONALIDAD-->
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta content="text/html; charset=UTF-8" http-equiv="content-type">
        <meta charset="UTF-8">
        <link th:href="@{/styles/template-main.css}" rel="stylesheet" />
        <link th:href="@{/styles/cssandjs/main.css}" rel="stylesheet" />
    
        <!-- HEAD TEMPLATE-->
        <title>ZappApp</title>
    <!-- Fuentes-->
        <link th:href="@{/styles/fontawesome-free/css/all.min.css}" rel="stylesheet" type="text/css">
        <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">
        <script src="https://kit.fontawesome.com/f0db3f6f2e.js" crossorigin="anonymous"></script>
</head>


<body id="page-top">
    <div id="app">

        <!-- Page Wrapper -->
        <div id="wrapper">

            <!-- Sidebar -->
            <menu-navegacion >
            </menu-navegacion>
            <!-- End of Sidebar -->

            <!-- Content Wrapper -->
            <div id="content-wrapper" class="d-flex flex-column">

                <!-- Main Content -->
                <div id="content">

                    <!-- Topbar -->
                    <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

                        <!-- Sidebar Toggle (Topbar) -->
                        <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                            <i class="fa fa-bars"></i>
                        </button>

                        <!-- Topbar Navbar -->
                        <ul class="navbar-nav ml-auto">

                            <!-- Nav Item - Search Dropdown (Visible Only XS) -->
                            <li class="nav-item dropdown no-arrow d-sm-none">
                                <a class="nav-link dropdown-toggle" href="#" id="searchDropdown" role="button"
                                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-search fa-fw"></i>
                                </a>
                                <!-- Dropdown - Messages -->
                                <div class="dropdown-menu dropdown-menu-right p-3 shadow animated--grow-in"
                                    aria-labelledby="searchDropdown">
                                    <form class="form-inline mr-auto w-100 navbar-search">
                                        <div class="input-group">
                                            <input type="text" class="form-control bg-light border-0 small"
                                                placeholder="Search for..." aria-label="Search"
                                                aria-describedby="basic-addon2">
                                            <div class="input-group-append">
                                                <button class="btn btn-primary" type="button">
                                                    <i class="fas fa-search fa-sm"></i>
                                                </button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </li>

                            <div class="topbar-divider d-none d-sm-block"></div>

                            <!-- Nav Item - User Information -->
                            <li class="nav-item dropdown no-arrow">
                                <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <span class="mr-2 d-none d-lg-inline text-gray-600 small" th:text="${#authentication.getPrincipal().getUsername()}"></span>
                                    <img class="img-profile rounded-circle" th:src="@{/img/undraw_profile.svg}">
                                </a>
                                <!-- Dropdown - User Information -->
                                <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                    aria-labelledby="userDropdown">
                                    <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">
                                        <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                        Cerrar cesión
                                    </a>
                                </div>
                            </li>

                        </ul>

                    </nav>
                    <!-- End of Topbar -->

                    <!-- Begin Page Content -->
                    <div class="container-fluid">


                        <div class="card shadow mb-4">
                            <!-- Card Header - Accordion -->
                            <a href="#collapseCardExample" class="d-block card-header py-3" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardExample">
                                <h4 class="m-0 font-weight-bold text-primary">¡Bienvenido!</h4>
                            </a>
                            <!-- Card Content - Collapse -->
                            <div class="collapse show" id="collapseCardExample" style="">
                                <div class="card-body">
                                    Te presentamos las funcionalidades básicas de la plataforma <strong>ZappApp</strong>, un sistema donde vas a poder gestionar clientes, gestionar productos y realizar ventas. La plataforma es muy intuitiva de usar, esperamos que te adaptes de la mejor manera a este nuevo espacio de trabajo!
                                </div>
                            </div>
                        </div>




                        <!-- DataTales Example -->
                        <div class="card shadow mb-4">
                            <div class="card-header d-flex py-3">
                                <h2 class="m-0 font-weight-bold text-primary">Gestionar Modelos de Produccion</h2>
                                <a class="btn btn-primary ml-auto" href="#" data-toggle="modal" data-target="#newModeloModal">
                                    <span class="icon text-white-50">
                                        <i class="fas fa-box-open"></i>
                                    </span>
                                    <span class="text">Nuevo Modelos de Produccion</span>
                                </a>
                            </div>
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                        <thead>
                                            <tr>
                                                <th >#</th>
                                                <th >Nombre Producto</th>
                                                <th >Marca</th>
                                                <th >Acción</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <template v-for="modelo in modelos">
                                                <tr>
                                                    <th >{{ modelo.id }}</th>
                                                    <th >{{ modelo.model_product.name }}</th>
                                                    <th >{{ modelo.model_product.mark }}</th>
                                                    <td>
                                                        <a class="btn" href="#" data-toggle="modal">
                                                            <i class="far fa-edit"></i>
                                                        </a>
                                                        <a  class="btn" href="#" data-toggle="modal">
                                                            <i class="far fa-trash-alt"></i>
                                                        </a>
                                                    </td>
                                                </tr>
                                            </template>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- /.container-fluid -->

                </div>
                <!-- End of Main Content -->

                <!-- Footer -->
                <footer class="sticky-footer bg-white">
                    <div class="container my-auto">
                        <div class="copyright text-center my-auto">
                            <span>Copyright &copy; G6 Solutions 2021</span>
                        </div>
                    </div>
                </footer>
                <!-- End of Footer -->

            </div>
            <!-- End of Content Wrapper -->

        </div>
        <!-- End of Page Wrapper -->

        <!-- Scroll to Top Button-->
        <a class="scroll-to-top rounded" href="#page-top">
            <i class="fas fa-angle-up"></i>
        </a>

        <!-- New Product Modal  v-if="ventana" -->
        <div class="modal fade" id="newModeloModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog costume-modal-dialog" role="document">
                <div class="modal-content costume-modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title"></h5>
                        <button  class="close" type="button" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="false">×</span>
                        </button>

                    </div>
                    <div class="modal-body">
                      <div class="p-2">
                          <form class="user">
                              <div class="form-group row">
                                    <div class="form-group row">
                                        <div class="col">
                                            <label class="form-label"><font style="vertical-align: inherit;">Eligir Modelo de Producto</font></label>
                                            <select class="form-control" v-model='modelo.model_id'>
                                                <option  v-for="modelo_prod in modelos_productos" v-bind:value="modelo_prod.id"> {{ modelo_prod.name }}</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="table-responsive" s>
                                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                            <thead>
                                                <tr>
                                                    <th>Insumo</th>
                                                    <th>Fase</th>
                                                    <th>Cantidad</th>
                                                    <th>Acción</th> 
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <template v-for="(material,index) in modelo.materials">
                                                    <tr>
                                                        <td scope="col">
                                                            <select class="form-control" v-model='material.material_id'>
                                                                <option  v-for="insumo in materiales" v-bind:value="insumo.id"> {{ insumo.name }}</option>
                                                            </select>
                                                        </td>
                                                        <td scope="col">
                                                            <select class="form-control" v-model='material.phase'>
                                                                <option  v-for="fase in fases"> {{ fase }}</option>
                                                            </select>
                                                        </td>
                                                        <td scope="col"><input class="form-control" type="number" v-model='material.required_stock'></td>
                                                        <td>
                                                            <a @click="BorrarMaterial(index)" class="btn" href="#" data-toggle="modal">
                                                                <i class="far fa-trash-alt"></i>
                                                            </a>
                                                        </td>
                                                    </tr>
                                                </template>
                                                <tr class="table-primary">
                                                    <td colspan="3" >Agregar Insumo</td>
                                                    <td style='text-align: center;'><i class="fas fa-plus-circle" @click='agregarMaterial()'></i></td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                              </div>

                          </form>
                      </div>
                    </div>

                    <div class="modal-footer">
                        <button class="btn btn-secondary" aria-hidden="false" type="button" data-dismiss="modal">Cancelar</button>
                        <button class="btn btn-primary" @click="crearModelo()" id="submitbutton" type="submit" data-dismiss="modal" aria-hidden="false" >Guardar</button>
                    </div>
                </div>
            </div>
        </div>


        <!-- Logout Modal-->
        <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Quiere cerrar sesión?</h5>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body">Seleccione "Cerrar sesión" si está listo para salir de la plataforma.</div>
                    <div class="modal-footer">
                        <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
                        <form th:action="@{/logout}" method="post">
                            <input class='btn btn-primary ml-auto' type="submit" value="Cerrar Sesion"/>
                        </form>
                    </div>
                </div>
            </div>
        </div>

    </div>
</body>

        <!-- Bootstrap core JavaScript-->
        <script type="text/javascript" th:src="@{/js/jquery/jquery.min.js}"></script>

        <script type="text/javascript" th:src="@{/js/bootstrap/js/bootstrap.bundle.min.js}"></script>
        <!-- Core plugin JavaScript-->
        <script type="text/javascript" th:src="@{/js/jquery-easing/jquery.easing.min.js}"></script>
        <!-- Custom scripts for all pages-->
        <script type="text/javascript" th:src="@{/js/template-main.js}"></script>

        <script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.12/vue.min.js"></script>

        <script src="https://unpkg.com/hotkeys-js/dist/hotkeys.min.js"></script>

        <script type="text/javascript" th:src="@{/js/cssandjs/atajos.js}"></script>
        
        <!-- SCRIPT VUE JS-->
        <script type="text/javascript" th:src="@{/js/cssandjs/itemsNavegacion.js}"></script>
        <script type="text/javascript" th:src="@{/js/cssandjs/menu-navegacion.js}"></script>

        <script type="text/javascript" th:src="@{/js/cssandjs/modelo-unidad-produccion.js}"></script>

        <!-- Custom scripts for all pages-->
        <script type="text/javascript" th:src="@{/js/cssandjs/sbadmin2.min.js}"></script>

</html>
